=head1 NAME

Apache::Bio::Tools::PSort - Apache optimized version of the Bio::Tools::PSort
module.

=head1 SYNOPSIS

    $psort = Apache::Bio::Tools::PSort->instance();

    $psort->install('Regexp');
    $psort->install('SCLBLAST');

=head1 DESCRIPTION

The Apache::Bio::Tools::PSort module implements a version of Bio::Tools::PSort
suitable for use with mod_perl under the Apache webserver.  Based around the
Apache::Singleton class, Apache::Bio::Tools::PSort only requires configuration
once (typically in the mod_perl startup.pl file) after which subsequent
calls to the instance method will return a reference to an already configured
PSort object.

Other than creating new instances via the instance method, the interface
for this module is identical to that of Bio::Tools::PSort.

=head1 SEE ALSO

Bio::Tools::PSort, Apache::Singleton

=head1 AUTHOR

Cory Spencer <cspencer@sfu.ca>

=cut

package Apache::Bio::Tools::PSort;

use Apache::Singleton;
use Bio::Tools::PSort;

use strict;
use base qw(Apache::Singleton::Process Bio::Tools::PSort);

our $VERSION = 0.01;

1;
