package Bio::Tools::PSort::Constants;

require Exporter;

use vars qw(@ISA @EXPORT_OK %EXPORT_TAGS);
use strict;

my @locs = qw(CYTOPLASM INNERMEMBRANE PERIPLASM OUTERMEMBRANE EXTRACELLULAR UNKNOWN);
my @common = qw(OK DONE ERROR);

%EXPORT_TAGS = (all           => [@common, @locs],
                codes         => \(@common),
                localizations => \@locs);
@EXPORT_OK   = (@common, @locs);

@ISA = qw(Exporter);

sub CYTOPLASM     { return 'Cytoplasmic'   }
sub INNERMEMBRANE { return 'InnerMembrane' }
sub PERIPLASM     { return 'Periplasmic'   }
sub OUTERMEMBRANE { return 'OuterMembrane' }
sub EXTRACELLULAR { return 'Extracellular' }
sub UNKNOWN       { return 'Unknown'       }

1;
