package Bio::Tools::PSort::Report;

use Bio::Root::Root;

use vars qw(@ISA);
use strict;

@ISA = qw(Bio::Root::Root);

sub new {
  my ($class, @args) = @_;
  my $self = bless({ }, $class);

  my ($seq) = $self->_rearrange([qw(SEQ)], @args);
  $self->{seq} = $seq || die("Didn't receive a Bio::Seq object");

  return $self;
}

sub seq {
  my $self = shift;

  return (@_) ? $self->{seq} = shift : $self->{seq};
}

sub get_result {
  my ($self, $type, $module) = @_;

  return exists($self->{$type}->{$module}) ? @{$self->{$type}->{$module}} : ();
}

sub add_results {
  my ($self, $type, %res) = @_;

  $self->{$type} = \%res;
}

sub get_modules {
  my ($self, $type) = @_;

  return sort keys(%{$self->{$type}});
}

1;
