package Bio::Tools::PSort::Report::Result;

use Bio::Root::Root;

use vars qw(@ISA);
use strict;

@ISA = qw(Bio::Root::Root);

sub new {
  my ($class, @args) = @_;
  my $self = bless({ }, $class);

  my ($loc, $score, $details) =
    $self->_rearrange([qw(LOC SCORE DETAILS)], @args);

  if(defined($loc)) {
    $self->{localization} = (ref($loc) eq "ARRAY") ? $loc : [ $loc ];
  } else {
    $self->{localization} = [ ];
  }
  $self->{details} = (defined($details)) ? (ref($details) eq "ARRAY") ? $details : [$details] : [ ];
  $self->{score} = (defined($score)) ? $score : 0;

  return $self;
}

sub localization {
  my ($self, $loc) = @_;

  if(defined($loc)) {
    $self->{localization} = (ref($loc) eq "ARRAY") ? $loc : [ $loc ];
  } else {
    return wantarray ? @{$self->{localization}} : @{$self->{localization}}[0];  }
}

sub score {
  my $self = shift;

  return (@_) ? $self->{score} = shift : $self->{score};
}

sub details {
  my $self = shift;

  if(@_) {
    my $details = shift;
    $self->throw("Details must be an arrayref") if(ref($details) ne "ARRAY");
    $self->{details} = $details;
  } else {
    @{$self->{details}};
  }
}


1;
