package Bio::Tools::Run::HMMTOP::Helix;

use Bio::Root::Root;
use strict;

our @ISA = qw(Bio::Root::Root);

sub new {
  my ($class, @args) = @_;
  my $self = $class->SUPER::new(@args);

  my ($s, $e, $p) = $self->_rearrange([ qw(START END) ], @args);

  $self->{start}  = $s || $self->throw("No start position provided");
  $self->{end}    = $e || $self->throw("No end position provided");

  return $self;
}

sub start {
  my $self = shift;

  (@_) ? $self->{start} = shift : $self->{start};
}

sub end {
  my $self = shift;

  (@_) ? $self->{end} = shift : $self->{end};
}

1;

__END__
