package Bio::Tools::Run::HMMTOP::Report;

use Bio::Root::Root;

our @ISA = qw(Bio::Root::Root);

use strict;

sub new {
  my ($class, @args) = @_;
  my $self = $class->SUPER::new(@args);

  my ($helices) = $self->_rearrange([ qw(HELICES) ], @args);

  $self->{helices} = $helices || [ ];

  return $self;
}

sub num_helices {
  my $self = shift;

  return @{$self->{helices}};
}

sub get_helix {
  my ($self, $num) = @_;

  $num = 0 if(! defined($num));
  return (@{$self->{helices}})[$num];
}

sub get_helices {
  my $self = shift;

  return @{$self->{helices}};
}

1;

__END__
