package Bio::Tools::Run::SCLBlast::Hit;

use Bio::Search::Hit::GenericHit;
use Bio::Root::Root;

use strict;

our @ISA = qw(Bio::Search::Hit::GenericHit);

sub new {
  my ($class, @args) = @_;
  my $self = $class->SUPER::new(@args);

  my ($loc, $desc) = $self->_rearrange([qw(LOCALIZATION DESCRIPTION)], @args);
  $loc = [$loc] if(ref($loc) ne "ARRAY");

  $self->{_locs} = $loc || $self->throw("Must provide a localization site.");
  $self->{_desc} = $desc || '';

  return $self;
}

sub num_locs {
  my $self = shift;

  return scalar(@{$self->{_locs}});
}

sub description {
  my $self = shift;

  return (@_) ? $self->{_desc} = shift : $self->{_desc};
}

sub localization {
  my $self = shift;

  if(@_) {
    my $loc = shift;
    $self->{_locs} = (ref($loc) eq "ARRAY") ? $loc : [$loc];
  } else {
    use Data::Dumper;
    return (wantarray) ? @{$self->{_locs}} : $self->{_locs}->[0];
  }
}

1;
