package Bio::Tools::Run::SCLBlast::Report;

use Bio::Root::Root;

use strict;

our @ISA = qw(Bio::Root::Root);
our $VERSION = '0.01';

sub new {
  my ($class, @args) = @_;
  my $self = $class->SUPER::new(@args);

  my ($hits) = $self->_rearrange([qw(HITS)], @args);

  # Set the values for some of our fields.
  $self->{_hits} = $hits || [ ];
  $self->{_hitptr} = 0;

  return $self;
}

sub num_hits {
  my $self = shift;

  return scalar(@{$self->{_hits}});
}

sub next_hit {
  my $self = shift;

  if($self->{_hitptr} < $self->num_hits) {
    return (@{$self->{_hits}})[$self->{_hitptr}++]
  }

}

1;
