package Bio::Tools::Signal::Report;

use Bio::Root::Root;

use strict;

our @ISA = qw(Bio::Root::Root);

sub new {
  my ($class, @args) = @_;
  my $self = $class->SUPER::new(@args);

  return $self;
}

sub cleavage_site {
  my $self = shift;

  return (@_) ? $self->{csite} = shift : $self->{csite};
}

sub is_lipoprotein {
  my $self = shift;

  return (@_) ? $self->{islipo} = shift : $self->{islipo};
}

sub localization {
  my $self = shift;

  return (@_) ? $self->{loc} = shift : $self->{loc};
}

sub hmm_score {
  my $self = shift;

  return (@_) ? $self->{hmmscore} = shift : $self->{hmmscore};
}

sub hmm_pvalue {
  my $self = shift;

  return (@_) ? $self->{hmmpvalue} = shift : $self->{hmmpvalue};
}

sub svm_prediction {
  my $self = shift;

  return (@_) ? $self->{svmpred} = shift : $self->{svmpred};
}

sub signal_peptide {
  my $self = shift;

  return ($self->{islipo} || ($self->{hmmpvalue} < 0.01) ||
	  (($self->{hmmpvalue} < 0.05) && $self->{svmpred})) ? 1 : 0;
}

1;
